Skip to content
Docs

Portfolio Manager/Organization Loan Tape

List layouts

GET/external/secure/api/v2/portfolio/organization/layouts
Request
curl -X GET \
  "https://figure.com/external/secure/api/v2/portfolio/organization/layouts" \
  -H "apikey: $FIGURE_API_KEY"

Query parameters

  • entityIdstring<uuid>

    ID of entity within the organization to limit layouts to

  • assetTypeIdstring<uuid>

    ID of asset type to fetch compatible layouts for. Required if assetGroupId is not provided.

  • assetGroupIdstring<uuid>

    ID of asset group to fetch compatible layouts for. Required if assetTypeId is not provided.

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200List of available layouts for the given asset type associated with this organizationarray of strings

Returns array of strings.

Response
[
  "string"
]